Skip to content
Browse files

Remove NeoBundle check

Well that was short-lived.

`:NeoBundleDepends` [was removed](Shougo/neobundle.vim@7e644cd), leaving me uncertain as to how to declare a dependency within a plugin. I think we may need to fork [neobundle-vim-recipes](https://github.com/Shougo/neobundle-vim-recipes) and add a recipe instead, but I'm currently unable to get recipe functionality working (Windows box, curl issues, etc.).
  • Loading branch information...
1 parent ae54af7 commit 259f6837a2e12f6ba488d0cf05ff54945977d804 @shkm shkm committed Jan 22, 2014
Showing with 0 additions and 4 deletions.
  1. +0 −4 plugin/textobj/rubyblock.vim
View
4 plugin/textobj/rubyblock.vim
@@ -2,10 +2,6 @@ if exists('g:loaded_textobj_rubyblock') "{{{1
finish
endif
-if exists(':NeoBundleDepends')
- NeoBundleDepends 'kana/vim-textobj-user'
-endif
-
" Interface "{{{1
call textobj#user#plugin('rubyblock', {
\ '-': {

2 comments on commit 259f683

@PaBLoX-CL

Something like this maybe?

NeoBundleLazy 'mattn/gist-vim', { 'depends': 'mattn/webapi-vim', 'autoload': { 'commands': 'Gist' } }
      let g:gist_post_private=1
      let g:gist_show_privates=1

https://github.com/bling/dotvim/blob/master/vimrc#L651

@shkm
shkm commented on 259f683 Jan 24, 2014

The idea was to set up a dependency on the package itself, so that NeoBundle users would automatically pull in this dependency without having to add anything special to their .vimrc.

Please sign in to comment.
Something went wrong with that request. Please try again.